package com.jsowell.pile.domain;

import com.jsowell.common.annotation.Excel;
import com.jsowell.common.core.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 充电桩固件信息对象 pile_firmware_info
 *
 * @author jsowell
 * @date 2023-06-28
 */
@Getter
@Setter
public class PileFirmwareInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 固件名称
     */
    @Excel(name = "固件名称")
    private String name;

    /**
     * 固件描述
     */
    @Excel(name = "固件描述")
    private String description;

    /**
     * 路径
     */
    @Excel(name = "路径")
    private String filePath;

    /**
     * 适用类型（1-直流；2-交流）
     */
    @Excel(name = "适用类型")
    private String applyType;

    /**
     * 删除标识（0-正常；1-删除）
     */
    private String delFlag;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
                .append("id", getId())
                .append("name", getName())
                .append("desc", getDescription())
                .append("filePath", getFilePath())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("delFlag", getDelFlag())
                .toString();
    }
}
